Bug 14824 - gnome-config gives wrong output
gnome-config gives wrong output
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-libs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2000-07-28 17:38 EDT by compwiz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-28 19:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description compwiz 2000-07-28 17:38:32 EDT
The output of the command `gnome-config --libs gnome` is:
-L/usr/lib -L%prefix/lib -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1
-lglib -ldl

Notice "%prefix/lib" in there (not supposed to be) - This produces an error
whenever compiling something that uses gnome-libs & gnome-config, because
%prefix is not a valid pathname.
Comment 1 Owen Taylor 2000-08-03 16:28:38 EDT
Fixed as of gnome-libs-1.2.4-3.

Note You need to log in before you can comment on or make changes to this bug.